#pragma once
#ifndef _BOARD_H_
#define _BOARD_H_

/* Includes */
#include "main.h"

/* Type Defs */
typedef enum {
  Disable = 0,
  Emable = 1
} dis_en_t;


/* Defines */
#define FRAMEBUFFER_ROTATE

/* Exported macros */
/* Constants */
/* Variables */
extern uint8_t display_Buffer[];

/* Exported funcions */
void Board_Init(void);
void display_Init(void);
void display_WriteData(const uint8_t * data, uint8_t addr, uint8_t len);
void display_WriteBuffer(void);
void display_PWM(uint8_t pwm);
void display_BlinkState(dis_en_t state);
void display_LedState(dis_en_t state);
void display_Fill(uint8_t pattern);
void EXTI4_15_IRQHandler(void);
void DMA1_Channel2_3_IRQHandler(void);
void I2C1_IRQHandler(void);
void display_test(void);

#endif /* _BOARD_H_ */
